Package org.eclipse.emf.cdo.server

# Interface IStoreFactory

public interface IStoreFactory
Creates `stores`.

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IStoreFactory.ParameterAware`
Deprecated.
As of 4.20 use `ParameterAware`.

## Method Summary

Modifier and Type
Method
Description
`IStore`
`createStore(String repositoryName, Map<String,String> repositoryProperties, Element storeConfig)`
`String`
`getStoreType()`

## Method Details

### getStoreType

String getStoreType()

### createStore

IStore createStore(String repositoryName, Map<String,String> repositoryProperties, Element storeConfig)

Since:
  4.0